package org.jeecg.modules.ctop.service;

import cn.com.ctop.common.module.entity.Product;
import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface IMediaReportService {

    List<JSONObject> queryAdvertiserNameByCompanyId(String companyId);

    List<JSONObject> queryProjectNameByAdvertiserId(String advertiserId);

    List<Product> getAllProductList(Integer mediaType, String advertiserId);

    PageInfo<JSONObject> queryReportByCondition(int pageNo,int pageSize,JSONObject requestBody);

    PageInfo<JSONObject> queryAllReportByCondition(int pageNo,int pageSize,JSONObject requestBody);

    List<JSONObject> queryAllByCondition(JSONObject requestBody);

    List<JSONObject> queryReportByCondition(JSONObject requestBody);

    PageInfo<JSONObject> mediaReport(int pageNum, int pageSize, JSONObject requestBody);

    //PageInfo<JSONObject> toutiaoMediaReport(int pageNum, int pageSize, JSONObject requestBody);

    List<JSONObject> exportMediaReportExcel(JSONObject requestBody);


}
